#!/bin/bash

#
# Copyright © 2016 Sébastien Luttringer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

usage() {
	echo "usage: ${0##*/} add|remove" >&2
	exit 1
}

# prevent to have all each dkms call to fail
if (( EUID )); then
	echo 'You must be root.' >&2
	exit 1
fi
# check args count
(( $# != 1 )) && usage

while read -r path; do
	kpath="/$path"
	kver="${path##*/vmlinuz-}"

	if [[ -z "$kver" ]]; then
		echo "Unable to guess kernel version: $path" >&2
		continue
	fi

	case "$1" in
		add)
			kernel-install add "$kver" "$kpath"	;;
		remove)
			kernel-install remove "$kver" ;;
		*)
			usage ;;
	esac
done

exit 0
